Current time: 07-03-2022, 06:50 AM Hello There, Guest! (LoginRegister)


Post Reply 
Content Encoding Error 1.07 upgrade
Author Message
bpratt Offline
Junior Member
*

Posts: 71
Joined: Oct 2007
Reputation: 0
Post: #1
Content Encoding Error 1.07 upgrade
Just upgraded from 1.06 to 1.07 and the upgrade went very smoothly but with the exception of finding that my main ispcp control panel page no longer loads.

It comes up with the same error in both Firefox and Internet Exploder :-

Content Encoding Error
The page you are trying to view cannot be shown because it uses an invalid or unsupported form of compression.

It appears to be an Apache2 issue, but it was working fine before the upgrade, so there's some issue in the upgrade that has broken things.


Thanks for any help.
02-19-2011 01:26 PM
Find all posts by this user Quote this message in a reply
bpratt Offline
Junior Member
*

Posts: 71
Joined: Oct 2007
Reputation: 0
Post: #2
RE: Content Encoding Error 1.07 upgrade
I've copied the gui directory from the archive across to my gui directory on my server, and now it comes up with a different error :-

Error: Database key and/or initialization vector was not generated!


I've searched the forum for this phrase, and whilst it comes up with plenty of results, none of them have this full text in them. Sad
02-21-2011 01:25 PM
Find all posts by this user Quote this message in a reply
bpratt Offline
Junior Member
*

Posts: 71
Joined: Oct 2007
Reputation: 0
Post: #3
RE: Content Encoding Error 1.07 upgrade
Fixed that database key issue, but still can not load the ispcp login page.

Just comes up as a blank page, but when I view source this is what gets displayed. :-

<!--
Compression level: 7
Original size: 0 kb
New size: 0.02 kb
Saving: -0.02 kb (0 %)
Time: 0.19 ms
-->
02-23-2011 02:25 PM
Find all posts by this user Quote this message in a reply
joximu Offline
helper
*****
Moderators

Posts: 7,024
Joined: Jan 2007
Reputation: 92
Post: #4
RE: Content Encoding Error 1.07 upgrade
I don't know which version you are running now...

the message with the unknown compression thing maybe an php-error which is displayed (but not compressed)... should be suppresed by disabling the display of php errors...

more info!!!!

/J
03-04-2011 10:26 PM
Visit this user's website Find all posts by this user Quote this message in a reply
borkas Offline


Posts: 2
Joined: Aug 2009
Reputation: 0
Post: #5
RE: Content Encoding Error 1.07 upgrade
hi,

i just upgraded my system from lenny to squeeze and then upgraded ispcp from 1.0.6 to 1.0.7.

The process went kinda smooth except some problems with the mysql root user.

Now all virtual hosts are up and running except the one for ispcp admin. Google Chrome says:
Code:
Fehler 330 (net::ERR_CONTENT_DECODING_FAILED): Unbekannter Fehler.

Apache Error Log says:

Code:
PHP Deprecated:  Comments starting with '#' are deprecated in /etc/php5/cgi/conf.d/mhash.ini on line 1 in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626/mhash.so' - /usr/lib/php5/20090626/mhash.so: cannot open shared object file: No such file or directory in Unknown on line 0


Do you need more Info?
05-09-2011 07:42 PM
Find all posts by this user Quote this message in a reply
joximu Offline
helper
*****
Moderators

Posts: 7,024
Joined: Jan 2007
Reputation: 92
Post: #6
RE: Content Encoding Error 1.07 upgrade
/etc/php5/cgi/conf.d/mhash.ini:

use ; instead of # to comment lines...

/J


or better: remove the mhash.ini - IMHO it's not needed... and obviously the .so is missing
(on my lenny php5-mhash is installed, on my squeeze not - but maybe you need it -> then reinstall)

/J
(This post was last modified: 05-09-2011 10:33 PM by joximu.)
05-09-2011 10:29 PM
Visit this user's website Find all posts by this user Quote this message in a reply
borkas Offline


Posts: 2
Joined: Aug 2009
Reputation: 0
Post: #7
RE: Content Encoding Error 1.07 upgrade
hi thanks for the answer but that actually didnt change anything.... Sad
05-09-2011 11:24 PM
Find all posts by this user Quote this message in a reply
joximu Offline
helper
*****
Moderators

Posts: 7,024
Joined: Jan 2007
Reputation: 92
Post: #8
RE: Content Encoding Error 1.07 upgrade
well - at least the error in the apache-log should be gone...

the "Fehler 330" is something else...
Please try another browser and then maybe try installing chrome agin...

/J
05-10-2011 12:40 AM
Visit this user's website Find all posts by this user Quote this message in a reply
ramires Offline
Junior Member
*

Posts: 23
Joined: Aug 2008
Reputation: 0
Post: #9
RE: Content Encoding Error 1.07 upgrade
I get same problem all pma webmail and virtual hosts works but admin not.
09-20-2011 12:54 AM
Find all posts by this user Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)